<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/llPageRoot"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/color_body_01"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

    <include layout="@layout/app_toolbar"/>

    <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                >

            <include layout="@layout/content_nohub_master"/>

            <include layout="@layout/content_nohub_guest"/>

            <include layout="@layout/content_nodata_master"/>

            <include layout="@layout/content_nodata_guest"/>

            <include layout="@layout/content_nohub_nohome_smartcity"/>

            <include layout="@layout/content_nohub_master_smartcity"/>

            <include layout="@layout/content_nohub_guest_smartcity"/>

            <include layout="@layout/content_nodata_master_smartcity"/>

            <include layout="@layout/content_nodata_guest_smartcity"/>

            <android.support.v4.widget.SwipeRefreshLayout
                    android:id="@+id/swiperefreshlayou"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:visibility="gone">

                <android.support.v7.widget.RecyclerView
                        android:id="@+id/rcvList"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"

                        android:clipToPadding="false"/>
            </android.support.v4.widget.SwipeRefreshLayout>
        </LinearLayout>

        <ImageView
                android:layout_width="match_parent"
                android:layout_height="6dp"
                android:layout_alignParentTop="true"
                android:background="@drawable/shadow_top"/>

        <ImageView
                android:layout_width="match_parent"
                android:layout_height="7dp"
                android:layout_alignParentBottom="true"
                android:background="@drawable/shadow_bottom"/>
    </RelativeLayout>

</LinearLayout>